IEEE80211_GET_HDRLEN(9)

NAME
ieee80211_get_hdrlen_from_skb - get header length from data

SYNOPSIS

unsigned int ieee80211_get_hdrlen_from_skb(const struct sk_buff * skb);

ARGUMENTS

skb
    the frame

DESCRIPTION

Given an skb with a raw 802.11 header at the data pointer this function returns the 802.11 header length.

RETURN

The 802.11 header length in bytes (not including encryption headers). Or 0 if the data in the sk_buff is too short to contain a valid 802.11 header.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT